XGETTEXT(1)

BEZEICHNUNG
xgettext - Gettext-Zeichenketten aus dem Quelltext auslesen

ÜBERSICHT
xgettext [OPTION] [EINGABEDATEI] …

BESCHREIBUNG

Liest übersetzbare Zeichenketten aus den angegebenen Eingabedateien.

Die obligatorischen Argumente für Optionen sind für deren Kurz- und Langform gleich. Gleiches gilt für optionale Argumente.

  Orte der Eingabedateien:

EINGABEDATEI …
    Eingabedateien

-f, --files-from=DATEI
    holt die Namen der Eingabedateien aus der angegebenen DATEI.

-D, --directory=VERZEICHNIS
    fügt das angegebene VERZEICHNIS zur Liste hinzu, in der nach Eingabedateien gesucht wird.

Wenn die Eingabedatei »-« ist, wird die Standardeingabe gelesen.

  Orte der Ausgabedateien:

-d, --default-domain=NAME
    verwendet NAME.po für die Ausgabe (anstelle von messages.po).

-o, --output=DATEI
    schreibt die Ausgabe in die angegebene DATEI.

-p, --output-dir=VERZEICHNIS
    speichert die Ausgabedateien im angegebenen VERZEICHNIS.

Falls die Ausgabedatei als »-« angegeben ist, wird in die Standardausgabe geschrieben.

  Auswahl der Sprache der Eingabedatei:

-L, --language=NAME
    berücksichtigt die angegebene Sprache (C, C++, ObjectiveC, PO, Shell, Python, Lisp, EmacsLisp, librep, Scheme, Smalltalk, Java, JavaProperties, C#, awk, YCP, Tcl, Perl, PHP, Ruby, GCC-Quellen, NXStringTable, RST, RSJ, Glade, Lua, JavaScript, Vala, Desktop).

-C, --c++
    ist ein Kürzel für --language=C++.

Standardmäßig wird versucht, die Sprache anhand der Endung der Eingabedatei zu bestimmen.

  Interpretation der Eingabedatei:

--from-code=NAME
    gibt die Kodierung der Eingabedateien an (außer für Python, Tcl, Glade).

Standardmäßig wird angenommen, dass die Eingabedateien in ASCII vorliegen.

  Betriebsmodus:

-j, --join-existing
    vereinigt Meldungen mit einer existierenden Datei.

-x, --exclude-file=DATEI.po
    liest keine Einträge aus der angegebenen DATEI.po.

-cMARKIERUNG, --add-comments=MARKIERUNG
    schreibt vor die Schlüsselwortzeilen Kommentarblöcke bei der angegebenen MARKIERUNG in die Ausgabedatei.

-c, --add-comments
    schreibt alle Kommentarblöcke vor Schlüsselwortzeilen in die Ausgabedatei.

--check=NAME
    führt eine Syntaxüberprüfung der Meldungen aus (Unicode-Ellipsis, Leerzeichen-Ellipsis,

    Unicode-Zitatzeichen, Unicode-Aufzählungszeichen).

--sentence-end=TYP
    gibt den Typ der Satzendung an (einzelnes Leerzeichen als Vorgabe,

    oder doppeltes Leerzeichen).

  Sprachspezifische Optionen:

-a, --extract-all
    liest alle Zeichenketten aus (nur für folgende Sprachen: C, C++, ObjectiveC, Shell, Python, Lisp, EmacsLisp, librep, Scheme, Java, C#, awk, Tcl, Perl, PHP, GCC-Quellen, Glade, Lua, JavaScript, Vala).

-kWORT, --keyword=SCHLÜSSELWORT
    schaut nach dem angegebenen SCHLÜSSELWORT als zusätzliches Schlüsselwort.

-k, --keyword
    verwendet keine vorgegebenen Schlüsselwörter (nur für folgende Sprachen: C, C++, ObjectiveC, Shell, Python, Lisp, EmacsLisp, librep, Scheme, Java, C#, awk, Tcl, Perl, PHP, GCC-Quellen, Glade, Lua, JavaScript, Vala, Desktop).

--flag=SCHLÜSSELWORT:ARGUMENT:SCHALTER
    gibt einen zusätzlichen Schalter für Zeichenketten innerhalb des angegebenen ARGUMENTS des angegebenen SCHLÜSSELWORTs an.

(nur für folgende Sprachen: C, C++, ObjectiveC, Shell,
    Python, Lisp, EmacsLisp, librep, Scheme, Java, C#, awk, YCP, Tcl, Perl, PHP, GCC-Quellen, Lua, JavaScript, Vala)

-T, --trigraphs
    versteht ANSI-C-Trigraphen für die Eingabe (nur für die Sprachen C, C++, ObjectiveC).

--its=DATEI
    wendet ITS-Regeln aus der angegebenen DATEI an (nur für XML-basierte Sprachen).

--qt
    berücksichtigt Qt-Formatzeichenketten (nur für die Sprache C++).

--kde
    berücksichtigt KDE-4-Formatzeichenketten (nur für die Sprache C++).

--boost
    berücksichtigt Boost-Formatzeichenketten (nur für die Sprache C++).

--debug
    gibt detailliertere Informationen zur Formatzeichenkettenerkennung aus.

  Details zur Ausgabe:

--color
    verwendet immer Farben und andere Text-Attribute.

--color=WERT
    verwendet Farben und andere Text-Attribute. Der angegebene WERT kann »always«, »never«, »auto« oder »html« sein.

--style=STILDATEI
    gibt die CSS-Datei mit Stil-Regel für --color an.

-e, --no-escape
    verwendet keine C-Maskier-Sequenzen in der Ausgabe (Vorgabe).

-E, --escape
    verwendet C-Maskier-Sequenzen in der Ausgabe, keine erweiterten Zeichen.

--force-po
    erstellt die PO-Datei auch dann, wenn sie leer ist.

-i, --indent
    stellt die ausgegebene .po-Datei eingerückt dar.

--no-location
    schreibt keine Zeilen mit »#: Datei:Zeilennummer«.

-n, --add-location
    schreibt Zeilen mit »#: Datei:Zeilennummer« (Vorgabe).

--strict
    erstellt eine .po-Datei streng nach Uniforum-Format.

--properties-output
    schreibt eine .properties-Datei für Java.

--stringtable-output
    schreibt eine .strings-Datei für NeXTstep/GNUstep.

--itstool
    schreibt itstool(1)-Kommentare.

-w, --width=ANZAHL
    legt die Breite der Ausgabe auf die angegebene ANZAHL Spalten fest.

--no-wrap
    bricht Zeilen in Meldungen, die länger als die Breite der Ausgabe sind, nicht auf mehrere Zeilen um.

-s, --sort-output
    erstellt eine sortierte Ausgabe.

-F, --sort-by-file
    sortiert die Ausgabe gemäß Vorkommen in Dateien.

--omit-header
    schreibt keine Kopfzeile mit dem »msgid ""«-Eintrag.

--copyright-holder=ZEICHENKETTE
    gibt den Copyright-Inhaber in der Ausgabe an.

--foreign-user
    lässt die FSF-Copyright-Erklärung in der Ausgabe für Fremdbenutzer weg.

--package-name=PAKET
    gibt den Paketnamen in der Ausgabe an.

--package-version=VERSION
    gibt die Paketversion in der Ausgabe an.

--msgid-bugs-address=E-MAIL@ADRESSE
    gibt die Meldeadresse für msgid-Fehler an.

-m[ZEICHENKETTE], --msgstr-prefix[=ZEICHENKETTE]
    verwendet die angegebene ZEICHENKETTE oder "" als Präfix für msgstr-Werte.

-M[ZEICHENKETTE], --msgstr-suffix[=ZEICHENKETTE]
    verwendet die angegebene ZEICHENKETTE oder "" als Suffix für msgstr-Werte.

  Informative Ausgabe:

-h, --help
    zeigt Hilfeinformationen an und beendet das Programm.

-V, --version
    gibt Versionsinformationen aus und beendet das Programm.

-v, --verbose
    erhöht die Ausführlichkeitsstufe.

AUTOR
Geschrieben von Ulrich Drepper.

FEHLER MELDEN
Melden Sie Fehler im Fehlererfassungssystem auf <https://savannah.gnu.org/projects/gettext> oder per E-Mail an <bug-gettext@gnu.org> (jeweils auf Englisch).

COPYRIGHT
Copyright © 1995-2020 Free Software Foundation, Inc. Lizenz GPLv3+: GNU GPL Version 3 (https://gnu.org/licenses/gpl.html) oder neuer.
Dies ist freie Software: Sie können sie verändern und weitergeben. Es gibt KEINE GARANTIE, soweit gesetzlich zulässig.

SIEHE AUCH
Die vollständige Dokumentation für xgettext wird als ein Texinfo-Handbuch gepflegt. Wenn die Programme info(1) und xgettext auf Ihrem Rechner ordnungsgemäß installiert sind, können Sie mit dem Befehl

    info xgettext

auf das vollständige Handbuch zugreifen.

ÜBERSETZUNG
Die deutsche Übersetzung dieser Handbuchseite wurde von Mario Blättermann <mario.blaettermann@gmail.com> erstellt.

Diese Übersetzung ist Freie Dokumentation; lesen Sie die GNU General Public License Version 3 (https://www.gnu.org/licenses/gpl-3.0.html) oder neuer bezüglich der Copyright-Bedingungen. Es wird KEINE HAFTUNG übernommen.

Wenn Sie Fehler in der Übersetzung dieser Handbuchseite finden, schicken Sie bitte eine E-Mail an die Mailingliste der Übersetzer (debian-l10n-german@lists.debian.org).